EPL Licensing for ECF

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

EPL Licensing for ECF

Mat Booth
Hi ECF,


And it shows that the ECF bundles are the only ones still using the old EPL 1.0 license.

Does ECF have any plan to move to the EPL 2.0 license, or does it wish to remain with EPL 1.0?

Regards,
Mat

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
Reply | Threaded
Open this post in threaded view
|

Re: EPL Licensing for ECF

Scott Lewis-2

I don't have any particular reason to stay with 1.0...as long as it doesn't imply a lot of work to use 2.0 for you or me...or restrict us in some new ways that I'm not familiar with.  Is there a summary/comparison of the diffs somewhere?

Scott

On 11/18/2019 2:18 PM, Mat Booth wrote:
Hi ECF,


And it shows that the ECF bundles are the only ones still using the old EPL 1.0 license.

Does ECF have any plan to move to the EPL 2.0 license, or does it wish to remain with EPL 1.0?

Regards,
Mat

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
Reply | Threaded
Open this post in threaded view
|

Re: EPL Licensing for ECF

Mat Booth


On Mon, 18 Nov 2019 at 23:53, Scott Lewis <[hidden email]> wrote:

I don't have any particular reason to stay with 1.0...as long as it doesn't imply a lot of work to use 2.0 for you or me...or restrict us in some new ways that I'm not familiar with.  Is there a summary/comparison of the diffs somewhere?


I believe it's really just a change in the target platform to pick the new license and then updates to source file headers (a big patch in terms of lines, but scriptable)

There is a fairly comprehensive FAQ about the new license here: https://www.eclipse.org/legal/epl-2.0/faq.php

 

Scott

On 11/18/2019 2:18 PM, Mat Booth wrote:
Hi ECF,


And it shows that the ECF bundles are the only ones still using the old EPL 1.0 license.

Does ECF have any plan to move to the EPL 2.0 license, or does it wish to remain with EPL 1.0?

Regards,
Mat

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
Reply | Threaded
Open this post in threaded view
|

Re: EPL Licensing for ECF

Scott Lewis-2

Thanks Mat.  I've looked over the FAQ.   I'm fine with moving to EPL 2.0 for all the ECF projects.   Without community objection here I suggest we do so in subsequent release (3.14.7 I suppose).

Scott

On 11/19/2019 3:36 AM, Mat Booth wrote:


On Mon, 18 Nov 2019 at 23:53, Scott Lewis <[hidden email]> wrote:

I don't have any particular reason to stay with 1.0...as long as it doesn't imply a lot of work to use 2.0 for you or me...or restrict us in some new ways that I'm not familiar with.  Is there a summary/comparison of the diffs somewhere?


I believe it's really just a change in the target platform to pick the new license and then updates to source file headers (a big patch in terms of lines, but scriptable)

There is a fairly comprehensive FAQ about the new license here: https://www.eclipse.org/legal/epl-2.0/faq.php

 

Scott

On 11/18/2019 2:18 PM, Mat Booth wrote:
Hi ECF,


And it shows that the ECF bundles are the only ones still using the old EPL 1.0 license.

Does ECF have any plan to move to the EPL 2.0 license, or does it wish to remain with EPL 1.0?

Regards,
Mat

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
Reply | Threaded
Open this post in threaded view
|

Re: EPL Licensing for ECF

Mat Booth
Cool, I'll wait some time for any dissenting opinions before I propose a change.

On Tue, 19 Nov 2019 at 18:18, Scott Lewis <[hidden email]> wrote:

Thanks Mat.  I've looked over the FAQ.   I'm fine with moving to EPL 2.0 for all the ECF projects.   Without community objection here I suggest we do so in subsequent release (3.14.7 I suppose).

Scott

On 11/19/2019 3:36 AM, Mat Booth wrote:


On Mon, 18 Nov 2019 at 23:53, Scott Lewis <[hidden email]> wrote:

I don't have any particular reason to stay with 1.0...as long as it doesn't imply a lot of work to use 2.0 for you or me...or restrict us in some new ways that I'm not familiar with.  Is there a summary/comparison of the diffs somewhere?


I believe it's really just a change in the target platform to pick the new license and then updates to source file headers (a big patch in terms of lines, but scriptable)

There is a fairly comprehensive FAQ about the new license here: https://www.eclipse.org/legal/epl-2.0/faq.php

 

Scott

On 11/18/2019 2:18 PM, Mat Booth wrote:
Hi ECF,


And it shows that the ECF bundles are the only ones still using the old EPL 1.0 license.

Does ECF have any plan to move to the EPL 2.0 license, or does it wish to remain with EPL 1.0?

Regards,
Mat

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev
_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev

_______________________________________________
ecf-dev mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/ecf-dev